* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  margin: 0;
  padding: 0;
  font-family: 'Montserrat', sans-serif;
}

 
/* STYLING BACKGROUND VIDEO AND PLAY/PAUSE BUTTONS */
.video-container{
  height: 100vh;
  position: relative;
  top: 0;
  left: 0;
  display: flex;
  justify-content: flex-end;
 }

.video-container::before {
   content: "";
   position: absolute;
   background-color: rgba(24, 23, 23, 0.809);
   width: 100%;
   height: 100%;
   z-index: 0;
  }

 .video {
  position: absolute;
  width: 100vw;
  height: 100vh;
  z-index: -2;
  object-fit: cover;
}

.video-btn {
  border-radius: 100px;
  position: absolute;
  z-index: 10;
  margin-top: 24px;
  margin-right: 24px;
  width: 124px;
  height: 48px;
  color: #485cff;
  font-size: 14px;
  background-color: #fff;
  display: flex;
  justify-content: space-evenly;
  padding: 10px;
  gap: 16px;
  place-items: center;
  
}

.toggle {
  border-radius: 100px;
  border: solid 5px #fff;
  position: absolute;
  top: 0;
  background-color: #485cff;
  width: 50%;
  left: 0%;
  height: 100%;
  transition: all 0.4s ease-in-out;

}

.slide .toggle {
  left: 50%;
}


/* STYLING CHATBOT*/
.chatbot {
  position: absolute;
  top:0;
  left: 0;
  width: 100%;
  padding: 124px 48px 0 48px;
}

h1 {
  margin-bottom: 24px; 
  font-weight: bold;
  font-size: 44px;
  line-height: 34px;
  color: #fff;
  text-align: center;
}

p {
  font-size: 18px;
  font-weight: 600;
  line-height: 28px;
  margin: 0;
}

input {
  box-sizing: border-box;
  border: none;
  margin-right: 20px;
  border-radius: 10px;
  background: #fff;
  color: #333;
  padding: 16px;
  font-size: 16px;
  font-family: 'Montserrat';
  font-weight: 600;
  line-height: 26px;
  flex: 1;
}

main {
  margin: 0 auto;
  width: 100%;
  max-width: 700px;
  height: 600px;
  border-radius: 30px;
  background: #f4f3f9bd;
  padding: 20px 24px;
  padding-top: 0;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
}


/* STYLING TEXT BOX */
.chat {
  flex: 1;
  display: flex;
  justify-content: flex-start;
  overflow: scroll;
  flex-direction: column;
  padding-bottom: 16px;
}

.bot-msg {
  display: flex;
  margin: 16px 8px 0 0;
  flex-shrink: 0;
}

.user-msg {
  display: flex;
  justify-content: flex-end;
  margin: 16px 0 0 8px;
  flex-shrink: 0;
}

.bot-msg img,
.user-msg img {
  width: 60px;
  height: 60px;
  object-fit: cover;
  border-radius: 100px;
}

.bubble {
  background: #e5e9ff;
  font-weight: 600;
  font-size: 16px;
  line-height: 26px;
  padding: 16px 24px;
  color: #0026ff;
  max-width: 50%;
}

.bot-bubble {
  border-radius: 0px 26px 26px 26px;
  margin-left: 8px;
}

.user-bubble {
  border-radius: 26px 0 26px 26px;
  margin-right: 8px;
}


/* STYLING THE INPUT WRAPPER, BUTTONS */
.input-wrapper {
  display: flex;
  justify-content: center;
}

.input-wrapper form {
  width: 100%;
  display: flex;
}

button {
  background-color: #4A5CFF;
  color: white;
  border: none;
  border-radius: 4px;
  padding: 16px 40px;
  margin-right: 4px;
  font-size: 16px;
  line-height: 26px;
  font-family: 'Montserrat';
  font-weight: 500;
  cursor: pointer;
  transition: all 0.3s ease;
}

button:hover {
  opacity: 0.9;
  transition: all 0.2s ease;
}


/* STYLING THE DOCTOR IMG INSIDE BUTTONS WHEN USER CHOOSE THE DOCTOR - MINOR INJURY CASE */
.doctor-img {
  height: 100%;
  width: auto;
  border-radius: 100px;
  position: absolute;
  top: 0;
  right: 0;
  padding: 12px;

}

 #doctor-1 ,
 #doctor-2 {
  background-color: #4A5CFF;
  position: relative;
  width: 240px;
  height: 54px;
}

#doctor-1::before{
  content: "Dr.Chris ";
  position: absolute;
  color: #fff;
  left: 10%;
  top: 25%;
}

#doctor-2::before{
  content: "Dr.Henry";
  position: absolute;
  color: #fff;
  left: 10%;
  top: 25%;
}

.hiden {
  display: none;
}


/* MEDIA QUERIES FOR MOBILE SCREEN */

@media (max-width:490px) {

  main {
    height: 400px;
  }

  h1 {
    font-size: 28px;
  }

  p {
    font-size: 14px;
    line-height: 18px;
  }

  button {
    padding: 5px;
    font-size: 12px;
    width: 50%;
  }

  input {
    margin: 0 10px 0 0;
    padding: 5px;
  }

  input[type = "date"]{
   font-size: 12px;
  }

  .chatbot {
    padding: 24px;
    top: 15%;
  }

  .bubble {
    max-width: 60%;
  }

  .bot-msg img,
  .user-msg img {
    width: 35px;
    height: 35px;
  }
 
}